# CoinWarmStart Class Reference

Abstract base class for warm start information. More...

`#include <CoinWarmStart.hpp>`

Inheritance diagram for CoinWarmStart:
[legend]

List of all members.

## Public Member Functions
virtual | ~CoinWarmStart ()
| Abstract destructor.
virtual CoinWarmStart * | clone () const =0
| `Virtual constructor'
virtual CoinWarmStartDiff * | generateDiff (const CoinWarmStart *const ) const
virtual void | applyDiff (const CoinWarmStartDiff *const )

## Detailed Description

Abstract base class for warm start information.

Really nothing can be generalized for warm start information --- all we know is that it exists. Hence the abstract base class contains only a virtual destructor and a virtual clone function (a virtual constructor), so that derived classes can provide these functions.

Definition at line 21 of file CoinWarmStart.hpp.

## Constructor & Destructor Documentation

virtual CoinWarmStart::~CoinWarmStart | ( |  | ) | `[inline, virtual]`

Abstract destructor.

Definition at line 25 of file CoinWarmStart.hpp.

## Member Function Documentation

virtual CoinWarmStart* CoinWarmStart::clone | ( |  | ) | const`[pure virtual]`

`Virtual constructor'

Implemented in AbcWarmStart, CoinWarmStartBasis, CoinWarmStartDual, CoinWarmStartPrimalDual, CoinWarmStartVector< T >, CoinWarmStartVectorPair< T, U >, CoinWarmStartVector< double >, and CoinWarmStartVector< U >.

virtual CoinWarmStartDiff* CoinWarmStart::generateDiff | ( | const CoinWarmStart * | const | ) | const`[inline, virtual]`

Definition at line 31 of file CoinWarmStart.hpp.

virtual void CoinWarmStart::applyDiff | ( | const CoinWarmStartDiff * | const | ) | `[inline, virtual]`

Reimplemented in CoinWarmStartBasis, CoinWarmStartDual, CoinWarmStartPrimalDual, CoinWarmStartVector< T >, CoinWarmStartVectorPair< T, U >, CoinWarmStartVector< double >, and CoinWarmStartVector< U >.

Definition at line 35 of file CoinWarmStart.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.93.10/CoinUtils/src/CoinWarmStart.hpp